/**
 * \file backtrace.h
 * The multi platform file that is able to print a backtrace to a stream
 */

#ifndef BACKTRACE
#define BACKTRACE

#include <string>

#ifdef __GNUC__
#define export_backtrace_dll
#else
#ifdef backtrace_EXPORTS
#define export_backtrace_dll
//_declspec(dllexport)
#else
#define export_backtrace_dll
//_declspec(dllimport)
#endif
#endif

/**
 * Sets the exception handler
 * @param string is the name of the file in which the backtrace will be saved
 */
export_backtrace_dll void setExceptionHandler(const std::string& string);

#endif
